%define iconname imgv-icon.png

Name: 		imgv
Version: 	3.1.6
Release: 	%mkrel 1
Summary: 	A cross-platform feature rich image viewer
License: 	GPLv2
Group: 		Graphics
URL: 		http://imgv.sf.net/
Source: 	http://download.sourceforge.net/imgv/imgv-%version.tar.xz
BuildArch: 	noarch
Requires: 	pygame
BuildRoot: 	%{_tmppath}/%{name}-root
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
A cross-platform feature rich image viewer. Features include a file browser,
slideshows, zooming, rotating, on-the-fly Exif viewing, histograms,
fullscreen support, wallpaper setting, the ability to view 4 images on the
screen at once, adjustable thumbnail sizes, playlists, view and download
images from Web sites, movie playing, file searching/filtering, multiple
directory loading, transitional effects, image hiding and more.

%prep

%setup -q -n imgv-3.1.6

%build

%install
install -d %buildroot{%{_bindir},%{_datadir}/imgv/data}
install *.py %buildroot%{_datadir}/imgv/

install -m644 data/{imgv.conf,*.jpg,*.png,*.ttf} %buildroot%{_datadir}/imgv/data/

rm -f %buildroot%{_datadir}/imgv/setup.py

cat <<EOF >%buildroot%{_bindir}/imgv
#!/bin/sh
export IMGV_HOME=%{_datadir}/imgv
python %{_datadir}/imgv/imgv.py
EOF
chmod 755 %buildroot%{_bindir}/imgv

unset RPM_PYTHON

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 data/%{name}-icon.png %{buildroot}%{_liconsdir}/%{iconname}
convert data/%{name}-icon.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert data/%{name}-icon.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=IMGV
Comment=IMGV Image Viewer
Exec=%{name}
Icon=%{iconname}
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=GTK;Graphics;Viewer;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf %{buildroot}

%files
%{_bindir}/*
%{_datadir}/*



%changelog
* Thu Mar 31 2011 Sproggy <desproggster at gmail.com> 3.1.6-1pclos2011
- Initial build
